| Home | Libraries | People | FAQ | More

##### static_url::encoded_fragment

(Inherited from `url_view_base`)

Return the fragment.

###### Synopsis

    pct_string_view
    encoded_fragment() const;

###### Description

This function returns the fragment as a string with percent-escapes. Ownership is not transferred; the string returned references the underlying character buffer, which must remain valid or else undefined behavior occurs.

###### Example

    assert( url_view( "http://www.example.com/index.htm#a%2D1" ).encoded_fragment() == "a%2D1" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    fragment        = *( pchar / "/" / "?" )

    pchar           = unreserved / pct-encoded / sub-delims / ":" / "@"

###### Specification

- 3.5. Fragment (rfc3986)

###### See Also

`fragment`, `has_fragment`.